Index: trunk/import/alkis_PostNAS_ORACLE_keytables.sql
===================================================================
--- trunk/import/alkis_PostNAS_ORACLE_keytables.sql	(revision 272)
+++ trunk/import/alkis_PostNAS_ORACLE_keytables.sql	(revision 273)
@@ -9,7 +9,4 @@
 
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDE_BAUWEISE';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDE_BAUWEISE CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
 CREATE TABLE AX_GEBAEUDE_BAUWEISE (
     BAUWEISE_ID            integer, 
@@ -31,7 +28,4 @@
 INSERT INTO AX_GEBAEUDE_BAUWEISE (BAUWEISE_ID, BAUWEISE_BESCHREIBUNG) VALUES (4000,'Offene Halle');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDE_FUNKTION';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDE_FUNKTION CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
 CREATE TABLE AX_GEBAEUDE_FUNKTION (
     WERT        integer, 
@@ -274,7 +268,5 @@
 INSERT INTO AX_GEBAEUDE_FUNKTION (WERT, BEZEICHNER) VALUES (9998,'Nach Quellenlage nicht zu spezifizieren');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDE_WEITEREFUNKTION';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDE_WEITEREFUNKTION CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_GEBAEUDE_WEITEREFUNKTION (
     WERT        integer,
@@ -310,7 +302,5 @@
 INSERT INTO AX_GEBAEUDE_WEITEREFUNKTION (WERT, BEZEICHNER) VALUES (1240, 'GeschÃ€ft');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDE_DACHFORM';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDE_DACHFORM CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_GEBAEUDE_DACHFORM 
    (WERT        integer, 
@@ -336,7 +326,4 @@
 INSERT INTO AX_GEBAEUDE_DACHFORM (WERT, BEZEICHNER) VALUES (9999, 'Sonstiges');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDE_ZUSTAND';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDE_ZUSTAND CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
 CREATE TABLE AX_GEBAEUDE_ZUSTAND 
    (WERT        integer, 
@@ -354,7 +341,5 @@
 INSERT INTO AX_GEBAEUDE_ZUSTAND (WERT, BEZEICHNER) VALUES (4000, 'Im Bau');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BUCHUNGSSTELLE_BUCHUNGSART';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BUCHUNGSSTELLE_BUCHUNGSART CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_BUCHUNGSSTELLE_BUCHUNGSART (
    WERT integer,
@@ -416,71 +401,66 @@
 INSERT INTO AX_BUCHUNGSSTELLE_BUCHUNGSART (WERT, BEZEICHNER) VALUES (6101,'Nicht gebuchtes Fischereirecht');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BAURAUMODERBODENORDNUNGSREC';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BAURAUMODERBODENORDNUNGSREC CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
-CREATE TABLE AX_BAURAUMODERBODENORDNUNGSREC 
+
+CREATE TABLE AX_BAURAUMODERBODENORDNUNGSKEY 
   (WERT        integer, 
    BEZEICHNER  varchar2(2047),
    CONSTRAINT ALKIS_KEY_6 PRIMARY KEY (WERT)
   );
-COMMENT ON TABLE  AX_BAURAUMODERBODENORDNUNGSREC 
-IS 'SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1700,'Festlegung nach Baugesetzbuch - Allgemeines StÃ€dtebaurecht');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1710,'Bebauungsplan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1720,'VerÃ€nderungssperre nach Baugesetzbuch');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1730,'Vorkaufrechtssatzung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1740,'Enteignungsverfahren');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1750,'Umlegung nach dem BauGB');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1760,'Bauland');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1770,'Vereinfachte Umlegung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1780,'Vorhaben- und ErschlieÃungsplan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1790,'FlÃ€chennutzungsplan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1800,'Festlegung nach Baugesetzbuch - Besonderes StÃ€dtebaurecht');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1810,'StÃ€dtebauliche EntwicklungsmaÃnahme');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1811,'StÃ€dtebauliche EntwicklungsmaÃnahme (Beschluss zu vorbereitenden Untersuchungen gefasst)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1820,'Erhaltungssatzung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1821,'StÃ€dtebauliches Erhaltungsgebiet');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1822,'Soziales Erhaltungsgebiet');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1823,'Erhaltungsgebiet zur stÃ€dtebaulichen Umstrukturierung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1824,'Soziales Erhaltungsgebiet (Aufstellungsbeschluss gefasst)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1830,'StÃ€dtebauliche Gebote');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1840,'Sanierung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1841,'Sanierung (Beschluss zu vorbereitenden Untersuchungen gefasst)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (1900,'WOHNUNGSBAUERLEICHTERUNGSGESET');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2100,'Flurbereinigungsgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2110,'Flurbereinigung (Par. 1, 37 FlurbG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2120,'Vereinfachtes Flurbereinigungsverfahren (Par. 86 FlurbG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2130,'Unternehmensflurbereinigung (nach Par. 87 oder 90 FlurbG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2140,'Beschleunigtes Zusammenlegungsverfahren (Par. 91 FlurbG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2150,'Freiwilliger Landtausch (Par. 103a FlurbG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2160,'Verfahren nach dem Gemeinheitsteilungsgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2170,'Verfahren nach dem Gemeinschaftswaldgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2180,'Freiwilliger Nutzungstausch');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2200,'Verfahren nach dem LANDWIRTSCHAFTSANPASSUNGSGESET');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2210,'Flurneuordnung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2220,'Freiwilliger Landtausch (Par. 54 LwAnpG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2230,'Bodenordnungsverfahren (Par. 56 LwAnpG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2240,'ZusammenfÃŒhrung von Boden- und GebÃ€udeeigentum (Par. 64 LwAnpG)');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2300,'Bodensonderungsgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2310,'Unvermessenes Eigentum');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2320,'Unvermessenes Nutzungsrecht');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2330,'ErgÃ€nzende Bodenneuordnung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2340,'Komplexe Bodenneuordnung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2400,'VermÃ¶genszuordnungsgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2410,'VermÃ¶genszuordnung nach Plan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2411,'VermÃ¶genszuordnung nach dem Aufteilungsplan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2412,'VermÃ¶genszuordnung nach dem Zuordnungsplan');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2500,'Landesraumordnungsgesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2510,'Wasservorranggebiete');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2600,'Bauordnung');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2610,'Baulast');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2611,'BegÃŒnstigende Baulast');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2612,'Belastende Baulast');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2700,'Grenzfeststellungsverfahren nach Hamb. Wassergesetz');
-INSERT INTO AX_BAURAUMODERBODENORDNUNGSREC (WERT, BEZEICHNER) VALUES (2800,'VerkehrsflÃ€chenbereinigung');
-
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BODENSCHAETZUNG_KULTURART';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BODENSCHAETZUNG_KULTURART CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+COMMENT ON TABLE  AX_BAURAUMODERBODENORDNUNGSKEY 
+IS 'SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1700,'Festlegung nach Baugesetzbuch - Allgemeines StÃ€dtebaurecht');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1710,'Bebauungsplan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1720,'VerÃ€nderungssperre nach Baugesetzbuch');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1730,'Vorkaufrechtssatzung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1740,'Enteignungsverfahren');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1750,'Umlegung nach dem BauGB');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1760,'Bauland');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1770,'Vereinfachte Umlegung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1780,'Vorhaben- und ErschlieÃungsplan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1790,'FlÃ€chennutzungsplan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1800,'Festlegung nach Baugesetzbuch - Besonderes StÃ€dtebaurecht');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1810,'StÃ€dtebauliche EntwicklungsmaÃnahme');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1811,'StÃ€dtebauliche EntwicklungsmaÃnahme (Beschluss zu vorbereitenden Untersuchungen gefasst)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1820,'Erhaltungssatzung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1821,'StÃ€dtebauliches Erhaltungsgebiet');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1822,'Soziales Erhaltungsgebiet');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1823,'Erhaltungsgebiet zur stÃ€dtebaulichen Umstrukturierung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1824,'Soziales Erhaltungsgebiet (Aufstellungsbeschluss gefasst)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1830,'StÃ€dtebauliche Gebote');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1840,'Sanierung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1841,'Sanierung (Beschluss zu vorbereitenden Untersuchungen gefasst)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (1900,'WOHNUNGSBAUERLEICHTERUNGSGESET');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2100,'Flurbereinigungsgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2110,'Flurbereinigung (Par. 1, 37 FlurbG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2120,'Vereinfachtes Flurbereinigungsverfahren (Par. 86 FlurbG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2130,'Unternehmensflurbereinigung (nach Par. 87 oder 90 FlurbG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2140,'Beschleunigtes Zusammenlegungsverfahren (Par. 91 FlurbG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2150,'Freiwilliger Landtausch (Par. 103a FlurbG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2160,'Verfahren nach dem Gemeinheitsteilungsgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2170,'Verfahren nach dem Gemeinschaftswaldgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2180,'Freiwilliger Nutzungstausch');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2200,'Verfahren nach dem LANDWIRTSCHAFTSANPASSUNGSGESET');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2210,'Flurneuordnung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2220,'Freiwilliger Landtausch (Par. 54 LwAnpG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2230,'Bodenordnungsverfahren (Par. 56 LwAnpG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2240,'ZusammenfÃŒhrung von Boden- und GebÃ€udeeigentum (Par. 64 LwAnpG)');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2300,'Bodensonderungsgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2310,'Unvermessenes Eigentum');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2320,'Unvermessenes Nutzungsrecht');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2330,'ErgÃ€nzende Bodenneuordnung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2340,'Komplexe Bodenneuordnung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2400,'VermÃ¶genszuordnungsgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2410,'VermÃ¶genszuordnung nach Plan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2411,'VermÃ¶genszuordnung nach dem Aufteilungsplan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2412,'VermÃ¶genszuordnung nach dem Zuordnungsplan');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2500,'Landesraumordnungsgesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2510,'Wasservorranggebiete');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2600,'Bauordnung');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2610,'Baulast');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2611,'BegÃŒnstigende Baulast');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2612,'Belastende Baulast');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2700,'Grenzfeststellungsverfahren nach Hamb. Wassergesetz');
+INSERT INTO AX_BAURAUMODERBODENORDNUNGSKEY (WERT, BEZEICHNER) VALUES (2800,'VerkehrsflÃ€chenbereinigung');
+
 CREATE TABLE AX_BODENSCHAETZUNG_KULTURART (
     WERT integer,
@@ -495,7 +475,5 @@
 INSERT INTO AX_BODENSCHAETZUNG_KULTURART (WERT, BEZEICHNER) VALUES (4000,'GrÃŒnland-Acker (GrA)');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BODENSCHAETZUNG_BODENART';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BODENSCHAETZUNG_BODENART CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_BODENSCHAETZUNG_BODENART (
     WERT integer,
@@ -581,7 +559,5 @@
 INSERT INTO AX_BODENSCHAETZUNG_BODENART (WERT, BEZEICHNER) VALUES (9490,'AlluviumDiluvium(AlD)');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BODENSCHAETZUNG_ZUSTANDSSTU';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BODENSCHAETZUNG_ZUSTANDSSTU CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_BODENSCHAETZUNG_ZUSTANDSSTU (
     WERT integer,
@@ -607,21 +583,17 @@
 INSERT INTO AX_BODENSCHAETZUNG_ZUSTANDSSTU (BEZEICHNER,WERT) VALUES ('Bodenstufe (IV)',3300);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_MUSTERLANDESMUSTERUNDVERGLE';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_MUSTERLANDESMUSTERUNDVERGLE CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
-CREATE TABLE AX_MUSTERLANDESMUSTERUNDVERGLE (
+
+CREATE TABLE AX_MUSTERLANDESMUSTERUNDVERKEY (
     WERT integer,
     BEZEICHNER varchar2(2047),
     CONSTRAINT ALKIS_KEY_10  PRIMARY KEY (WERT)
   );
-COMMENT ON TABLE AX_MUSTERLANDESMUSTERUNDVERGLE 
-IS 'SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
-INSERT INTO AX_MUSTERLANDESMUSTERUNDVERGLE (WERT,BEZEICHNER) VALUES (1000,'MusterstÃŒck (M)');
-INSERT INTO AX_MUSTERLANDESMUSTERUNDVERGLE (WERT,BEZEICHNER) VALUES (2000,'LandesmusterstÃŒck (L)');
-INSERT INTO AX_MUSTERLANDESMUSTERUNDVERGLE (WERT,BEZEICHNER) VALUES (3000,'VergleichsstÃŒck (V)');
-
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GRABLOCHDERBODENSCHAETZUNG_';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GRABLOCHDERBODENSCHAETZUNG_ CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+COMMENT ON TABLE AX_MUSTERLANDESMUSTERUNDVERKEY 
+IS 'SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
+INSERT INTO AX_MUSTERLANDESMUSTERUNDVERKEY (WERT,BEZEICHNER) VALUES (1000,'MusterstÃŒck (M)');
+INSERT INTO AX_MUSTERLANDESMUSTERUNDVERKEY (WERT,BEZEICHNER) VALUES (2000,'LandesmusterstÃŒck (L)');
+INSERT INTO AX_MUSTERLANDESMUSTERUNDVERKEY (WERT,BEZEICHNER) VALUES (3000,'VergleichsstÃŒck (V)');
+
+
 CREATE TABLE AX_GRABLOCHDERBODENSCHAETZUNG_ (
     WERT integer,
@@ -637,7 +609,5 @@
 INSERT INTO AX_GRABLOCHDERBODENSCHAETZUNG_ (WERT,BEZEICHNER) VALUES (3000,'Grabloch, nicht bestimmend');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_FORSTRECHT_ARTDERFESTLEGUNG(';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_FORSTRECHT_ARTDERFESTLEGUNG( CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_FORSTRECHT_ARTDERFESTLEGUNG(
     WERT integer,
@@ -658,7 +628,5 @@
 INSERT INTO AX_FORSTRECHT_ARTDERFESTLEGUNG (BEZEICHNER, WERT) VALUES('Anderer Privatwald',3990);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_FORSTRECHT_BESONDEREFUNKTIO(';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_FORSTRECHT_BESONDEREFUNKTIO( CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_FORSTRECHT_BESONDEREFUNKTIO(
     WERT integer,
@@ -685,7 +653,5 @@
 INSERT INTO AX_FORSTRECHT_BESONDEREFUNKTIO (BEZEICHNER, WERT) VALUES('Sonstiges',9999);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BODENSCHAETZUNG_ENTSTEHUNGS(';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BODENSCHAETZUNG_ENTSTEHUNGS( CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_BODENSCHAETZUNG_ENTSTEHUNGS(
     WERT integer,
@@ -744,7 +710,5 @@
 INSERT INTO AX_BODENSCHAETZUNG_ENTSTEHUNGS (BEZEICHNER, WERT) VALUES('Wasserstufe (3+4)',7530);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_DATENERHEBUNG';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_DATENERHEBUNG CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_DATENERHEBUNG (
     WERT integer,
@@ -780,7 +744,5 @@
 INSERT INTO AX_DATENERHEBUNG (BEZEICHNER, WERT) VALUES('Sonstiges', 9999);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_SONSTIGESBAUWERK_FUNKTION(';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_SONSTIGESBAUWERK_FUNKTION( CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_SONSTIGESBAUWERK_FUNKTION(
     WERT integer,
@@ -822,7 +784,4 @@
 INSERT INTO AX_SONSTIGESBAUWERK_FUNKTION (BEZEICHNER, WERT) VALUES ('Sonstiges',9999);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BAUTEIL_BAUART';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BAUTEIL_BAUART CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
 CREATE TABLE AX_BAUTEIL_BAUART (
 WERT integer, 
@@ -849,42 +808,35 @@
 INSERT INTO AX_BAUTEIL_BAUART (WERT, BEZEICHNER,kennung,objektart) VALUES (9999,'Sonstiges',31002,'ax_bauteil');
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_KLASSIFIZIERUNGNACHSTRASSEN';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_KLASSIFIZIERUNGNACHSTRASSEN CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
-CREATE TABLE AX_KLASSIFIZIERUNGNACHSTRASSEN (
+CREATE TABLE AX_KLASSIFIZIERUNGNACHSTRASKEY (
 WERT integer, 
 BEZEICHNER varchar2(2047),  
 kennung integer, objektart varchar2(2047));
-COMMENT ON TABLE AX_KLASSIFIZIERUNGNACHSTRASSEN
+COMMENT ON TABLE AX_KLASSIFIZIERUNGNACHSTRASKEY
 IS 'artderfestlegung - SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('Klassifizierung nach Bundes- oder LandesstraÃengesetz',1100);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('Bundesautobahn',1110);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('BundesstraÃe',1120);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('Landes- oder StaatsstraÃe',1130);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('KreisstraÃe',1140);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('GemeindestraÃe',1150);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('OrtsstraÃe',1160);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('GemeindeverbindungsstraÃe',1170);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('Sonstige Ã¶ffentliche StraÃe',1180);
-INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASSEN (BEZEICHNER, WERT) VALUES ('PrivatstraÃe',1190);
-
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_KLASSIFIZIERUNGNACHWASSERRE';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_KLASSIFIZIERUNGNACHWASSERRE CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
-CREATE TABLE AX_KLASSIFIZIERUNGNACHWASSERRE (
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('Klassifizierung nach Bundes- oder LandesstraÃengesetz',1100);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('Bundesautobahn',1110);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('BundesstraÃe',1120);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('Landes- oder StaatsstraÃe',1130);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('KreisstraÃe',1140);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('GemeindestraÃe',1150);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('OrtsstraÃe',1160);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('GemeindeverbindungsstraÃe',1170);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('Sonstige Ã¶ffentliche StraÃe',1180);
+INSERT INTO AX_KLASSIFIZIERUNGNACHSTRASKEY (BEZEICHNER, WERT) VALUES ('PrivatstraÃe',1190);
+
+
+CREATE TABLE AX_KLASSIFIZIERUNGNACHWASSEKEY (
 WERT integer, 
 BEZEICHNER varchar2(2047),  
 kennung integer, objektart varchar2(2047));
-COMMENT ON TABLE AX_KLASSIFIZIERUNGNACHWASSERRE
+COMMENT ON TABLE AX_KLASSIFIZIERUNGNACHWASSEKEY
 IS 'artderfestlegung - SchlÃŒsseltabelle mit WERTen aus GeoInfoDok NW, geladen mit SQL-Script.';
-INSERT INTO AX_KLASSIFIZIERUNGNACHWASSERRE (BEZEICHNER, WERT) VALUES ('Klassifizierung nach Bundes- oder Landeswassergesetz',1300);
-INSERT INTO AX_KLASSIFIZIERUNGNACHWASSERRE (BEZEICHNER, WERT) VALUES ('GewÃ€sser I. Ordnung - BundeswasserstraÃe',1310);
-INSERT INTO AX_KLASSIFIZIERUNGNACHWASSERRE (BEZEICHNER, WERT) VALUES ('GewÃ€sser I. Ordnung - nach Landesrecht',1320);
-INSERT INTO AX_KLASSIFIZIERUNGNACHWASSERRE (BEZEICHNER, WERT) VALUES ('GewÃ€sser II. Ordnung',1330);
-INSERT INTO AX_KLASSIFIZIERUNGNACHWASSERRE (BEZEICHNER, WERT) VALUES ('GewÃ€sser III. Ordnung',1340);
-
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_ANDEREFESTLEGUNGNACHSTRASSE';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_ANDEREFESTLEGUNGNACHSTRASSE CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+INSERT INTO AX_KLASSIFIZIERUNGNACHWASSEKEY (BEZEICHNER, WERT) VALUES ('Klassifizierung nach Bundes- oder Landeswassergesetz',1300);
+INSERT INTO AX_KLASSIFIZIERUNGNACHWASSEKEY (BEZEICHNER, WERT) VALUES ('GewÃ€sser I. Ordnung - BundeswasserstraÃe',1310);
+INSERT INTO AX_KLASSIFIZIERUNGNACHWASSEKEY (BEZEICHNER, WERT) VALUES ('GewÃ€sser I. Ordnung - nach Landesrecht',1320);
+INSERT INTO AX_KLASSIFIZIERUNGNACHWASSEKEY (BEZEICHNER, WERT) VALUES ('GewÃ€sser II. Ordnung',1330);
+INSERT INTO AX_KLASSIFIZIERUNGNACHWASSEKEY (BEZEICHNER, WERT) VALUES ('GewÃ€sser III. Ordnung',1340);
+
+
 CREATE TABLE AX_ANDEREFESTLEGUNGNACHSTRASSE (
 WERT integer, 
@@ -905,7 +857,4 @@
 INSERT INTO AX_ANDEREFESTLEGUNGNACHSTRASSE (BEZEICHNER, WERT) VALUES ('VerÃ€nderungssperre',1280);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_NATURUMWELTODERBODENSCHUTZR';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_NATURUMWELTODERBODENSCHUTZR CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
 CREATE TABLE AX_NATURUMWELTODERBODENSCHUTZR (
 WERT integer, 
@@ -942,7 +891,5 @@
 INSERT INTO AX_NATURUMWELTODERBODENSCHUTZR (BEZEICHNER, WERT) VALUES ('Bodenschutzgebiet',662);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_DENKMALSCHUTZRECHT_ARTDF';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_DENKMALSCHUTZRECHT_ARTDF CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_DENKMALSCHUTZRECHT_ARTDF (
 WERT integer, 
@@ -1024,7 +971,5 @@
 INSERT INTO AX_DENKMALSCHUTZRECHT_ARTDF (BEZEICHNER, WERT) VALUES ('Menhir',3860);
 
-DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_SONSTIGESRECHT_ARTDF';
-BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_SONSTIGESRECHT_ARTDF CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
-/
+
 CREATE TABLE AX_SONSTIGESRECHT_ARTDF (
 WERT integer, 