Index: trunk/import/alkis_PostNAS_schema.sql
===================================================================
--- trunk/import/alkis_PostNAS_schema.sql	(revision 215)
+++ trunk/import/alkis_PostNAS_schema.sql	(revision 275)
@@ -48,15 +48,17 @@
 --                Typ 'GEOMETRY' bei Tabellen: AX_WegPfadSteig, AX_UntergeordnetesGewaesser
 
--- 2012-10-31 FJ  Trigger fuer NAS-Replace-SÃ€tze repariert:
+-- 2012-10-31 FJ  Trigger fuer NAS-Replace-Saetze repariert:
 --                siehe: FUNCTION delete_feature_kill()
 --                ax_historischesflurstueck.buchungsart ist Text nicht integer.
 
--- 2012-10-31 AE  Tabellen lÃ¶schen wurde auskommentiert, DB wird leer angelegt SELECT alkis_drop();
+-- 2012-10-31 AE  Tabellen lÃ¶schen wurde auskommetiert, DB wird leer angelegt SELECT alkis_drop();
 
 -- ** zwischenzeitliche Ãnderungen: siehe Kommentare im SVN
 
 -- 2013-01-15 FJ  Kommentare zu den letztlich hinzugekommenen Tabellen.
---                DarÃŒber kÃ¶nnen Tabellen aus diesem Script unterschieden werden
+--                DarÃŒber kÃ¶nnen Tabellen aus diesem Script unterschieden werden 
 --                von Tabellen, die PostNAS selbst generiert hat.
+
+-- 2013-04-15 FJ  Tabelle ax_wirtschaftlicheeinheit
 
 
@@ -70,4 +72,8 @@
 -- Zur Datenstruktur siehe Dokument:
 -- http://www.bezreg-koeln.nrw.de/extra/33alkis/dokumente/Profile_NRW/5-1-1_ALKIS-OK-NRW_GDB.html
+-- http://www.bezreg-koeln.nrw.de/extra/33alkis/dokumente/ALKIS_NRW/Pflichtenheft/Anlage03/Anlage3_ALKIS-OK-NRW_MAX.html
+
+-- Ãbersicht "Landesspezifische Festlegungen zu ALKIS in NRW":
+-- http://www.bezreg-koeln.nrw.de/extra/33alkis/alkis_nrw.htm
 
   SET client_encoding = 'UTF8';
@@ -90,5 +96,5 @@
 
 -- Alle Tabellen lÃ¶schen
--- SELECT alkis_drop();
+--SELECT alkis_drop();
 
 -- Tabelle delete fÃŒr LÃ¶sch- und FortfÃŒhrungsdatensÃ€tze
@@ -234,5 +240,5 @@
 
 -- B a u b l o c k
--- ----------------------------------------------
+-- ---------------------------------------------- Objektartengruppe: Administrative Gebietseinheiten
 CREATE TABLE ax_baublock (
 	ogc_fid			serial NOT NULL,
@@ -280,5 +286,5 @@
 
 
--- S o l l
+-- S o l l 
 -- -------
 CREATE TABLE ax_soll (
@@ -299,5 +305,5 @@
 CREATE UNIQUE INDEX ax_soll_gml ON ax_soll USING btree (gml_id,beginnt);
 
-COMMENT ON TABLE ax_soll IS '''Soll'' ist eine runde, oft steilwandige Vertiefung in den norddeutschen GrundmorÃ€nenlandschaften; kann durch Abschmelzen von ÃŒberschÃŒtteten ToteisblÃ¶cken (Toteisloch) oder durch Schmelzen periglazialer Eislinsen entstanden sein.';
+-- COMMENT ON TABLE ax___  IS 'XXXX';
 
 
@@ -324,5 +330,5 @@
 COMMENT ON COLUMN ax_bewertung.gml_id IS 'Identifikator, global eindeutig';
 
-COMMENT ON TABLE ax_bewertung  IS '''Bewertung'' ist die Klassifizierung einer FlÃ€che nach dem Bewertungsgesetz (BewertungsflÃ€che).';
+-- COMMENT ON TABLE ax___  IS 'XXXX';
 
 
@@ -346,5 +352,5 @@
 CREATE UNIQUE INDEX ax_tagesabschnitt_gml ON ax_tagesabschnitt USING btree (gml_id,beginnt);
 
-COMMENT ON TABLE ax_tagesabschnitt  IS '''Tagesabschnitt'' ist ein Ordnungskriterium der SchÃ€tzungsarbeiten fÃŒr eine BewertungsflÃ€che. Innerhalb der Tagesabschnitte sind die GrablÃ¶cher eindeutig zugeordnet.';
+-- COMMENT ON TABLE ax___  IS 'XXXX';
 
 
@@ -400,5 +406,5 @@
 CREATE INDEX ax_forstrecht_afs ON ax_forstrecht(land,stelle);
 
-COMMENT ON TABLE ax_forstrecht IS '''Forstrecht'' ist die auf den Grund und Boden bezogene BeschrÃ€nkung, Belastung oder andere Eigenschaft einer FlÃ€che nach Ã¶ffentlichen, forstrechtlichen Vorschriften.';
+-- COMMENT ON TABLE ax___  IS 'XXXX';
 
 -- G e b Ã€ u d e a u s g e s t a l t u n g
@@ -561,6 +567,5 @@
 
 CREATE INDEX idx_histfsalb_nach
-   ON ax_historischesflurstueckalb USING btree (nachfolgerflurstueckskennzeichen /* ASC */);
-
+   ON ax_historischesflurstueckalb USING btree (vorgaengerflurstueckskennzeichen /* ASC */);
   COMMENT ON INDEX idx_histfsalb_vor IS 'Suchen nach Nachfolger-FlurstÃŒck';
   COMMENT ON TABLE  ax_historischesflurstueckalb        IS 'Historisches FlurstÃŒck ALB';
@@ -642,5 +647,5 @@
 -- Wirkt das ÃŒberhaupt bei der Suche nach einem einzelnen Wert aus dem Array?
 CREATE INDEX idx_histfs_vor ON ax_historischesflurstueck (vorgaengerflurstueckskennzeichen /* ASC */);
-CREATE INDEX idx_histfs_nach ON ax_historischesflurstueck (nachfolgerflurstueckskennzeichen /* ASC */);
+CREATE INDEX idx_histfs_nach ON ax_historischesflurstueck (vorgaengerflurstueckskennzeichen /* ASC */);
 
 -- COMMENT ON INDEX idx_histfsalb_vor IS 'Suchen nach VorgÃ€nger-FlurstÃŒck';
@@ -904,4 +909,5 @@
 CREATE INDEX ap_pto_endet_idx  ON ap_pto USING btree (endet);
 CREATE INDEX ap_pto_sn_idx     ON ap_pto USING btree (signaturnummer);
+--CREATE INDEX ap_pto_txt_idx    ON ap_pto USING btree (schriftinhalt);
 
 COMMENT ON TABLE  ap_pto               IS 'PTO: TextfÃ¶rmiges PrÃ€sentationsobjekt mit punktfÃ¶rmiger Textgeometrie ';
@@ -1613,5 +1619,5 @@
 -- COMMENT ON INDEX idx_histfsalb_vor IS 'Suchen nach VorgÃ€nger-FlurstÃŒck';
 
-CREATE INDEX idx_histfsor_nach ON ax_historischesflurstueckohneraumbezug (nachfolgerflurstueckskennzeichen /* ASC */);
+CREATE INDEX idx_histfsor_nach ON ax_historischesflurstueckohneraumbezug (vorgaengerflurstueckskennzeichen /* ASC */);
 -- COMMENT ON INDEX idx_histfsalb_vor IS 'Suchen nach Nachfolger-FlurstÃŒck';
 
@@ -3580,5 +3586,5 @@
 
 -- H Ã¶ h l e n e i n g a n g
--- -------------------------
+-- ------------------------- 
 CREATE TABLE ax_hoehleneingang (
 	ogc_fid			serial NOT NULL,
@@ -4246,6 +4252,5 @@
 	anlass			varchar,
 	landschaftstyp		integer,
-	name			varchar,
-	CONSTRAINT ax_kleinraeumigerlandschaftsteil_pk PRIMARY KEY (ogc_fid)
+	name			varchar
 );
 
@@ -4284,4 +4289,25 @@
 --** Objektartengruppe: Administrative Gebietseinheiten
 --   ===================================================================
+
+-- ax_baublock
+
+
+-- w i r t s c h a f t l i c h e   E i n h e i t
+-- ---------------------------------------------
+-- neu 2013-04-15
+CREATE TABLE ax_wirtschaftlicheeinheit (
+  ogc_fid			serial NOT NULL,
+  gml_id			character varying(16),
+  identifier		character varying(28),
+  beginnt			character varying(20),
+  advstandardmodell	character varying(4),
+  sonstigesmodell	character varying[],
+  anlass			integer,
+  CONSTRAINT		ax_wirtschaftlicheeinheit_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_wirtschaftlicheeinheit','dummy',:alkis_epsg,'POINT',2);
+
+COMMENT ON TABLE  ax_wirtschaftlicheeinheit  IS 'w i r t s c h a f t l i c h e   E i n h e i t';
 
 
@@ -4317,6 +4343,9 @@
 -- ** Tabelle bisher noch nicht generiert
 
+-- ENDE Objektartengruppe  Administrative Gebietseinheiten
+
+
 -- V e r t r e t u n g
--- -------------------
+-- -------------------  Objektartengruppe: Personen- und Bestandsdaten
 CREATE TABLE ax_vertretung (
 	ogc_fid			serial NOT NULL,
@@ -4336,5 +4365,5 @@
 
 -- V e r w a l t u n g s g e m e i n s c h a f t
--- ---------------------------------------------
+-- ---------------------------------------------  Objektartengruppe: Kataloge
 CREATE TABLE ax_verwaltungsgemeinschaft (
 	ogc_fid			serial NOT NULL,
@@ -4361,5 +4390,5 @@
 
 -- V e r w a l t u n g
--- -------------------
+-- -------------------   Objektartengruppe: Personen- und Bestandsdaten
 CREATE TABLE ax_verwaltung (
 	ogc_fid			serial NOT NULL,
@@ -4418,4 +4447,9 @@
 -- Digitales Gelaendemodell50  = DGM50
 
+
+-- wenn schon, dann auch alle Tabellen mit Kommentaren versehen:
+COMMENT ON TABLE geometry_columns IS 'Metatabelle der Geometrie-Tabellen, Tabellen ohne Geometrie bekommen Dummy-Eintrag fÃŒr PostNAS-Konverter (GDAL/OGR)';
+COMMENT ON TABLE spatial_ref_sys  IS 'Koordinatensysteme und ihre Projektionssparameter';
+
 -- Schema aktualisieren (setzt auch die Indizes neu)
 -- SELECT alkis_update_schema();