Index: trunk/import/sichten_ORACLE.sql
===================================================================
--- trunk/import/sichten_ORACLE.sql	(revision 274)
+++ trunk/import/sichten_ORACLE.sql	(revision 277)
@@ -15,5 +15,5 @@
     AND f.endet IS NULL
   ;
-COMMENT ON VIEW S_FLURSTUECK_NR IS 'fuer Kartendarstellung: Bruchnummerierung FlurstÃŒck';
+-- COMMENT ON VIEW S_FLURSTUECK_NR IS 'fuer Kartendarstellung: Bruchnummerierung FlurstÃŒck';
 
 -- ToDo: UNION ueber ORA_GEOMETRY  noch fehlerhaft, derzeit auskommentiert
@@ -38,5 +38,5 @@
      AND f.endet IS NULL
   ;
-COMMENT ON VIEW S_FLURSTUECK_NR2 IS 'Bruchnummerierung FlurstÃŒck, auch Standard-Position. Nicht direkt fuer WMS verwenden';
+-- COMMENT ON VIEW S_FLURSTUECK_NR2 IS 'Bruchnummerierung FlurstÃŒck, auch Standard-Position. Nicht direkt fuer WMS verwenden';
 
 CREATE OR REPLACE VIEW S_HAUSNUMMER_GEBAEUDE 
@@ -54,5 +54,5 @@
     AND p.endet IS NULL
     AND l.endet IS NULL;
-COMMENT ON VIEW S_HAUSNUMMER_GEBAEUDE IS 'fuer Kartendarstellung: Hausnummern HauptgebÃ€ude';
+-- COMMENT ON VIEW S_HAUSNUMMER_GEBAEUDE IS 'fuer Kartendarstellung: Hausnummern HauptgebÃ€ude';
 
 CREATE OR REPLACE VIEW S_NUMMER_NEBENGEBAEUDE 
@@ -71,5 +71,5 @@
     AND l.endet IS NULL
 ;
-COMMENT ON VIEW S_NUMMER_NEBENGEBAEUDE IS 'fuer Kartendarstellung: Hausnummern NebengebÃ€ude';
+-- COMMENT ON VIEW S_NUMMER_NEBENGEBAEUDE IS 'fuer Kartendarstellung: Hausnummern NebengebÃ€ude';
 
 CREATE OR REPLACE VIEW S_ZUGEHOERIGKEITSHAKEN_FLURSTU 
@@ -88,5 +88,5 @@
     AND f.endet IS NULL
     AND p.endet IS NULL;
-COMMENT ON VIEW S_ZUGEHOERIGKEITSHAKEN_FLURSTU IS 'fuer Kartendarstellung';
+-- COMMENT ON VIEW S_ZUGEHOERIGKEITSHAKEN_FLURSTU IS 'fuer Kartendarstellung';
 
 CREATE OR REPLACE VIEW S_ZUORDUNGSPFEIL_FLURSTUECK 
@@ -105,5 +105,5 @@
     AND f.endet IS NULL
     AND l.endet IS NULL;
-COMMENT ON VIEW S_ZUORDUNGSPFEIL_FLURSTUECK IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer';
+-- COMMENT ON VIEW S_ZUORDUNGSPFEIL_FLURSTUECK IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer';
 
 -- ToDo Berechnung Pfeilspitze
@@ -125,5 +125,5 @@
     AND f.endet IS NULL
     AND l.endet IS NULL;
-COMMENT ON VIEW S_ZUORDUNGSPFEILSPITZE_FLURSTU IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer, Spitze';
+-- COMMENT ON VIEW S_ZUORDUNGSPFEILSPITZE_FLURSTU IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer, Spitze';
 
 CREATE OR REPLACE VIEW S_BESCHRIFTUNG 
@@ -138,5 +138,5 @@
      AND p.endet IS NULL
      AND p.art NOT IN ('HNR', 'PNR');
-COMMENT ON VIEW S_BESCHRIFTUNG IS 'ap_pto, die noch nicht in anderen Layern angezeigt werden';
+-- COMMENT ON VIEW S_BESCHRIFTUNG IS 'ap_pto, die noch nicht in anderen Layern angezeigt werden';
 
 CREATE OR REPLACE VIEW S_ZUORDUNGSPFEIL_GEBAEUDE 
@@ -153,5 +153,5 @@
     AND g.endet IS NULL
     AND l.endet IS NULL;
-COMMENT ON VIEW S_ZUORDUNGSPFEIL_GEBAEUDE IS 'fuer Kartendarstellung: Zuordnungspfeil fÃŒr GebÃ€ude-Nummer';
+-- COMMENT ON VIEW S_ZUORDUNGSPFEIL_GEBAEUDE IS 'fuer Kartendarstellung: Zuordnungspfeil fÃŒr GebÃ€ude-Nummer';
 
 CREATE OR REPLACE VIEW SK2004_ZUORDNUNGSPFEIL 
@@ -162,5 +162,5 @@
    -- AND ('DKKM1000' ~~ ANY ((ap.advstandardmodell)[])));
    AND (instr(ap.advstandardmodell,'DKKM1000') > 0));
-COMMENT ON VIEW SK2004_ZUORDNUNGSPFEIL IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer"';
+-- COMMENT ON VIEW SK2004_ZUORDNUNGSPFEIL IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer"';
 
 
@@ -186,5 +186,5 @@
     --AND fg.advstandardmodell ~~ 'DLKM';
     AND (instr(fg.advstandardmodell,'DLKM') > 0));
-COMMENT ON VIEW SK2012_FLURGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Flurgrenze"';
+-- COMMENT ON VIEW SK2012_FLURGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Flurgrenze"';
 
 CREATE OR REPLACE VIEW SK2014_GEMARKUNGSGRENZE 
@@ -197,5 +197,5 @@
     --AND gemag.advstandardmodell ~~ 'DLKM';
     AND (instr(gemag.advstandardmodell,'DLKM') > 0));
-COMMENT ON VIEW SK2014_GEMARKUNGSGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemarkungsgrenze"';
+-- COMMENT ON VIEW SK2014_GEMARKUNGSGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemarkungsgrenze"';
 
 CREATE OR REPLACE VIEW SK2018_BUNDESLANDGRENZE 
@@ -208,5 +208,5 @@
     --AND blg.advstandardmodell ~~ 'DLKM';
     AND (instr(blg.advstandardmodell,'DLKM') > 0));
-COMMENT ON VIEW SK2018_BUNDESLANDGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "BundesLANDgrenze"';
+-- COMMENT ON VIEW SK2018_BUNDESLANDGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "BundesLANDgrenze"';
 
 CREATE OR REPLACE VIEW SK2020_REGIERUNGSBEZIRKSGRENZE 
@@ -218,5 +218,5 @@
     --AND rbg.advstandardmodell ~~ 'DLKM';
     AND (instr(rbg.advstandardmodell,'DLKM') > 0));
-COMMENT ON VIEW SK2020_REGIERUNGSBEZIRKSGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Regierungsbezirksgrenze"';
+-- COMMENT ON VIEW SK2020_REGIERUNGSBEZIRKSGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Regierungsbezirksgrenze"';
 
 CREATE OR REPLACE VIEW SK2022_GEMEINDEGRENZE 
@@ -229,5 +229,5 @@
     --AND gemg.advstandardmodell ~~ 'DLKM';
     AND (instr(gemg.advstandardmodell,'DLKM') > 0));
-COMMENT ON VIEW SK2022_GEMEINDEGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemeindegrenze"';
+-- COMMENT ON VIEW SK2022_GEMEINDEGRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemeindegrenze"';
 
 CREATE OR REPLACE VIEW SK201X_POLITISCHE_GRENZE 
@@ -250,5 +250,5 @@
    AND (instr(advstandardmodell,'DLKM') > 0);
 
-COMMENT ON VIEW SK201X_POLITISCHE_GRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze Politische Grenzen (Bund, LAND, Kreis, Gemeinde)';
+-- COMMENT ON VIEW SK201X_POLITISCHE_GRENZE IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze Politische Grenzen (Bund, LAND, Kreis, Gemeinde)';
 
 
@@ -262,5 +262,5 @@
     AND f.endet IS NULL
   ;
-COMMENT ON VIEW FLSTNR_OHNE_POSITION IS 'FlurstÃŒcke ohne manuell gesetzte Position fÃŒr die PrÃ€sentation der FS-Nr';
+-- COMMENT ON VIEW FLSTNR_OHNE_POSITION IS 'FlurstÃŒcke ohne manuell gesetzte Position fÃŒr die PrÃ€sentation der FS-Nr';
 
 CREATE OR REPLACE VIEW S_ALLGEMEINE_TEXTE 
@@ -303,5 +303,5 @@
    FROM ax_flurstueck f
    WHERE f.endet IS NULL;
-COMMENT ON VIEW FLURSTUECKS_MINMAX IS 'Maximale Ausdehnung von ax_flurstueck fuer EXTENT-Angabe im Mapfile';
+-- COMMENT ON VIEW FLURSTUECKS_MINMAX IS 'Maximale Ausdehnung von ax_flurstueck fuer EXTENT-Angabe im Mapfile';
 
 -- ToDo: 
@@ -334,5 +334,5 @@
   ORDER BY        LAND, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
 ;
-COMMENT ON VIEW GEMARKUNG_IN_GEMEINDE IS 'Welche Gemarkung liegt in welcher Gemeinde? Durch Verweise aus FlurstÃŒck.';
+-- COMMENT ON VIEW GEMARKUNG_IN_GEMEINDE IS 'Welche Gemarkung liegt in welcher Gemeinde? Durch Verweise aus FlurstÃŒck.';
 
 --ToDo: 
@@ -363,5 +363,5 @@
       ON l.kreis=s.kreis 
      AND l.gemeinde=s.gemeinde 
-     AND l.lage = s.lage
+     AND l.lage = s.lage;
     --WHERE     l.gemeinde = 40;
 
@@ -516,8 +516,8 @@
           AND bezalt.beziehung_zu  = bezneu.beziehung_zu
           AND bezalt.beziehungsart = bezneu.beziehungsart
-          AND bezalt.OGR_FID       < bezneu.ogc_fid
+          AND bezalt.OGR_FID       < bezneu.OGR_FID
         );
 
-COMMENT ON VIEW BEZIEHUNGEN_REDUNDANT IS 'alkis_beziehungen zu denen es eine identische neue Version gibt.';
+-- COMMENT ON VIEW BEZIEHUNGEN_REDUNDANT IS 'alkis_beziehungen zu denen es eine identische neue Version gibt.';
 
 --ToDo
@@ -541,5 +541,5 @@
 --        );
 
---COMMENT ON VIEW BEZIEHUNGEN_REDUNDANT_IN_DELET IS 'alkis_beziehungen zu denen es eine identische neue Version gibt und wo das Objekt noch in der delete-Tabelle vorkommt.';
+---- COMMENT ON VIEW BEZIEHUNGEN_REDUNDANT_IN_DELET IS 'alkis_beziehungen zu denen es eine identische neue Version gibt und wo das Objekt noch in der delete-Tabelle vorkommt.';
 purge recyclebin;
 QUIT;