Index: trunk/umn/alkis/alkis_muster_entw_4.map
===================================================================
--- trunk/umn/alkis/alkis_muster_entw_4.map	(revision 269)
+++ trunk/umn/alkis/alkis_muster_entw_4.map	(revision 279)
@@ -1,4 +1,4 @@
-# WMS: ALKIS PostNAS 0.7 Muster mit Platzhalter *gkz* fÃŒr Mandant - Druckversion zur Entwickler-Version
-# 2013-03-11 F.J. krz  manueller Abgleich mit .map ohne _4
+# WMS: ALKIS PostNAS Muster mit Platzhalter *gkz* fÃŒr Mandant - Druckversion zur Entwickler-Version
+# 2013-04-17 F.J. krz  Thema (Gruppe) "BodenschÃ€tzung" wurde ÃŒberarbeitet und vor Gruppe "FlurstÃŒcke" verschoben
 MAP
 	NAME "alkis"
@@ -16,5 +16,5 @@
 		METADATA
 			wms_title "ALKIS"
-			ows_abstract "ALKIS - PostNAS Version 0.7, Mapfile Version 'a' vom MÃ€rz 2013"
+			ows_abstract "ALKIS - PostNAS Version 0.7, Mapfile Version 'a' vom April 2013"
 			wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
 			wms_encoding "UTF-8"
@@ -2311,4 +2311,198 @@
 END
 
+# B o d e n s c h Ã€ t z u n g
+## Einfache Version: Den Label mittig in der FlÃ€che anzeigen
+#LAYER
+#	NAME "bodensch_klass"
+
+LAYER
+	NAME "bodensch_po"
+	GROUP "bodenschaetzung"
+	TYPE POLYGON
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "wkb_geometry from s_bodensch_po using unique ogc_fid using SRID=25832"
+	METADATA
+		wms_group_title "BodenschÃ€tzung"
+		wms_group_abstract "BodenschÃ€tzung" 
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "KlassenflÃ€che"
+		wms_abstract "FlÃ€che der BodenschÃ€tzung, das Ergebnis der SchÃ€tzung kann abgefragt werden."
+	END
+	PROJECTION "init=epsg:25832" END
+	MINSCALEDENOM 12 #50
+	MAXSCALEDENOM 875 #3500
+	SYMBOLSCALEDENOM 250 #1000
+	CLASS
+		NAME "KlassenflÃ€chengrenze"
+		STYLE
+			OUTLINECOLOR 144 197 140
+			WIDTH 14 MINWIDTH 10 MAXWIDTH 20 # 3.5  2.5  5
+		END
+	END
+END
+
+LAYER
+	NAME "bodensch_tx"
+	GROUP "bodenschaetzung"
+	REQUIRES "[bodensch_po]" # Grenzen aufzeigen?
+	TYPE POINT
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "wkb_geometry from s_bodensch_tx using unique ogc_fid using SRID=25832"
+	METADATA
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "SchÃ€tzungsergebnis"
+		wms_abstract "Kompakte Anzeige von: (1. Zeile) Bodenart, Zustandsstufe, Entstehungsart oder Klimastufe/WasserverhÃ€ltnisse und (2. Zeile) Bodenzahl oder GrÃŒnlandgrundzahl / Ackerzahl oder GrÃŒnlandzahl."
+	END
+	PROJECTION "init=epsg:25832" END
+	MINSCALEDENOM 12 #50
+	MAXSCALEDENOM 875 #3500
+	SYMBOLSCALEDENOM 250 #1000
+	CLASSITEM kult # Kulturart, SELECT DISTINCT kult FROM s_bodensch_wms; A, AGR, Gr, GrA
+	LABELITEM derlabel
+	CLASS
+		NAME "Acker"
+		EXPRESSION  ('[kult]' = 'A' OR '[kult]' = 'AGr')
+		LABEL
+			TYPE TRUETYPE FONT "times" # Serifenschrift
+			COLOR 211 147 135 # rosa
+			OUTLINECOLOR 254 254 254 OUTLINEWIDTH 8 #2
+			SIZE 44 MINSIZE 34 MAXSIZE 56 # 13 10 16
+			POSITION uc  # hor/ver = zentrisch/basis
+			PARTIALS FALSE FORCE TRUE
+			WRAP ' ' MAXLENGTH 3
+		END
+	END
+	CLASS
+		NAME "GrÃŒnland"
+		EXPRESSION ('[kult]' = 'Gr' OR '[kult]' = 'GrA')
+		LABEL
+			TYPE TRUETYPE FONT "times"
+			COLOR 144 197 140 # GrÃŒn
+			OUTLINECOLOR 254 254 254 OUTLINEWIDTH 8 #2
+			SIZE 44 MINSIZE 34 MAXSIZE 56 # 13 10 16
+			POSITION uc  # hor/ver = zentrisch/basis
+			PARTIALS FALSE FORCE TRUE
+			WRAP ' ' MAXLENGTH 3
+		END
+	END
+END
+
+# Zuordnungspfeile BodenschÃ€tzung
+LAYER
+	NAME "ag_l_bodsch"
+	GROUP "bodenschaetzung"
+	#REQUIRES "[ag_t_flurstueck]" # zur Nummer
+	TYPE LINE
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM s_zuordungspfeil_bodensch) as foo using unique ogc_fid using SRID=25832"
+	METADATA
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "Zuordnungspfeile" # Linie
+		wms_abstract "Zuordnungspfeil BodenschÃ€tzung Linie"
+	END
+	MINSCALEDENOM 12 #50
+	MAXSCALEDENOM 875 #3500
+	SYMBOLSCALEDENOM 250 #1000
+	CLASS
+		#NAME "Zuordnungspfeil"
+		STYLE
+			COLOR 144 197 140
+			WIDTH 4 MINWIDTH 4 MAXWIDTH 8 # 1 1 2
+		END
+	END
+END
+LAYER
+	NAME "ag_l_bodsch_sp"
+	GROUP "bodenschaetzung"
+	REQUIRES "[ag_l_bodsch]" # nur beides
+	TYPE Annotation
+	STATUS ON
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "wkb_geometry from (SELECT * FROM s_zuordungspfeilspitze_bodensch) as foo using unique ogc_fid using SRID=25832" # View berechnet Winkel
+	METADATA
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "Zuordnungspfeil Spitze"
+		wms_abstract "Zuordnungspfeil FlurstÃŒcksnummer Spitze"
+	END
+	MINSCALEDENOM 12 #50
+	MAXSCALEDENOM 875 #3500
+	SYMBOLSCALEDENOM 250 #1000
+	CLASS
+		#NAME "Zuordnungspfeilspitze"
+		TEXT 'E'
+		LABEL
+			TYPE TRUETYPE
+			FONT "alkis_textsymbols"
+			SIZE 12 MINSIZE 8 MAXSIZE 24 # 3 2 6
+			POSITION cc
+			ANGLE [winkel]
+			COLOR 144 197 140
+			ANTIALIAS TRUE PARTIALS FALSE FORCE TRUE
+		END
+	END
+END
+
+#LAYER
+#	NAME "ax_grablochderbodenschaetzung"
+#	GROUP "bodenschaetzung"
+#	TYPE POINT
+#	CONNECTIONTYPE POSTGIS
+#	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+#	PROCESSING "CLOSE_CONNECTION=DEFER"
+#	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_grablochderbodenschaetzung) as foo using unique ogc_fid using SRID=25832"
+#	METADATA
+#		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+#		wms_title "Grabloch der BodenschÃ€tzung"
+#		wms_abstract "Grabloch der BodenschÃ€tzung"
+#		wms_group_title "BodenschÃ€tzung"
+#		wms_group_abstract "BodenschÃ€tzung" 
+#	END
+#	#PROJECTION "init=epsg:25832" END
+#	#EXTENT 349000 5529000 356000 5533000
+#	MINSCALEDENOM 0
+#	MAXSCALEDENOM 1250 #5000
+#	CLASS
+#		NAME "Grabloch der BodenschÃ€tzung"
+#		STYLE
+#			SYMBOL "sn3703"
+#			COLOR 255 128 128
+#			SIZE 4 #1
+#		END
+#	END
+#END
+
+#LAYER
+#	NAME "ax_musterlandesmusterundvergleichsstueck"
+#	GROUP "bodenschaetzung"
+#	TYPE POLYGON
+#	CONNECTIONTYPE POSTGIS
+#	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+#	PROCESSING "CLOSE_CONNECTION=DEFER"
+#	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_musterlandesmusterundvergleichsstueck) as foo using unique ogc_fid using SRID=25832"
+#	METADATA
+#		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+#		wms_title "Muster Landesmuster und VergleichsstÃŒck"
+#		wms_abstract "Muster-, Landesmuster- und VergleichsstÃŒck der BodenschÃ€tzung"
+#	END
+#	#PROJECTION "init=epsg:25832" END
+#	#EXTENT 349000 5529000 356000 5533000
+#	MINSCALEDENOM 12 #0
+#	MAXSCALEDENOM 1250 #5000
+#	CLASS
+#		NAME "Muster Landesmuster und VergleichsstÃŒck"
+#		STYLE
+#			OUTLINECOLOR 255 128 128
+#		END
+#	END
+#END
+
 # ALKIS  F l u r s t ÃŒ c k
 LAYER
@@ -2457,4 +2651,5 @@
 	END
 END
+
 # Zuordnungspfeile FlurstÃŒck
 LAYER
@@ -2469,6 +2664,6 @@
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Zuordnungspfeile FlurstÃŒck"
-		wms_abstract "FlurstÃŒck Zuordnungspfeile (nur Linie, Pfeilspitze fehlt noch)"
+		wms_title "Zuordnungspfeil Linie"
+		wms_abstract "Zuordnungspfeil FlurstÃŒcksnummer Linie"
 	END
 	#PROJECTION "init=epsg:25832" END
@@ -2519,4 +2714,5 @@
 	END
 END
+
 # Flurstuecksnummer
 LAYER
@@ -2823,57 +3019,5 @@
 	END
 END
-# ALKIS BodenschÃ€tzung
-LAYER
-	NAME "ax_grablochderbodenschaetzung"
-	GROUP "bodenschaetzung"
-	TYPE POINT
-	CONNECTIONTYPE POSTGIS
-	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
-	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_grablochderbodenschaetzung) as foo using unique ogc_fid using SRID=25832"
-	METADATA
-		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Grabloch der BodenschÃ€tzung"
-		wms_abstract "Grabloch der BodenschÃ€tzung"
-		wms_group_title "BodenschÃ€tzung"
-		wms_group_abstract "BodenschÃ€tzung" 
-	END
-	#PROJECTION "init=epsg:25832" END
-	#EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 0
-	MAXSCALEDENOM 1250 #5000
-	CLASS
-		NAME "Grabloch der BodenschÃ€tzung"
-		STYLE
-			SYMBOL "sn3703"
-			COLOR 255 128 128
-			SIZE 4 #1
-		END
-	END
-END
-LAYER
-	NAME "ax_musterlandesmusterundvergleichsstueck"
-	GROUP "bodenschaetzung"
-	TYPE POLYGON
-	CONNECTIONTYPE POSTGIS
-	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
-	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_musterlandesmusterundvergleichsstueck) as foo using unique ogc_fid using SRID=25832"
-	METADATA
-		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Muster Landesmuster und VergleichsstÃŒck"
-		wms_abstract "Muster-, Landesmuster- und VergleichsstÃŒck der BodenschÃ€tzung"
-	END
-	#PROJECTION "init=epsg:25832" END
-	#EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 12 #0
-	MAXSCALEDENOM 1250 #5000
-	CLASS
-		NAME "Muster Landesmuster und VergleichsstÃŒck"
-		STYLE
-			OUTLINECOLOR 255 128 128
-		END
-	END
-END
+
 # ALKIS Punktort (Vermessungspunkte)
 LAYER
@@ -3217,30 +3361,28 @@
 	END
 END
-LAYER
-	NAME "ap_lpo"
-	GROUP "praesentation"
-	TYPE LINE
-	CONNECTIONTYPE POSTGIS
-	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
-	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,art FROM ap_lpo) as foo using unique ogc_fid using SRID=25832"
-	METADATA
-		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Zuordnungspfeile"
-		wms_abstract "LinienfÃ¶rmiges PrÃ€sentationsobjekt LPO"
-	END
-	#PROJECTION "init=epsg:25832" END
-	#EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 12 # 50
-	MAXSCALEDENOM 1250 #5000
-	CLASSITEM "art"
-	CLASS
-		NAME "Zuordnungspfeile"
-		EXPRESSION /Pfeil/
-		STYLE
-			COLOR 0 0 0
-		END
-	END
-END
+#LAYER
+#	NAME "ap_lpo"
+#	GROUP "praesentation"
+#	TYPE LINE
+#	CONNECTIONTYPE POSTGIS
+#	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
+#	PROCESSING "CLOSE_CONNECTION=DEFER"
+#	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,art FROM ap_lpo) as foo using unique ogc_fid using SRID=25832"
+#	METADATA
+#		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+#		wms_title "Zuordnungspfeile"
+#		wms_abstract "LinienfÃ¶rmiges PrÃ€sentationsobjekt LPO"
+#	END
+#	MINSCALEDENOM 12 # 50
+#	MAXSCALEDENOM 1250 #5000
+#	CLASSITEM "art"
+#	CLASS
+#		NAME "Zuordnungspfeile"
+#		EXPRESSION /Pfeil/
+#		STYLE
+#			COLOR 0 0 0
+#		END
+#	END
+#END
 
 # ap_ppo fehlt noch