Index: trunk/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fls.php	(revision 279)
+++ trunk/mapbender/http/nav/alkisnav_fls.php	(revision 280)
@@ -14,4 +14,5 @@
 	2013-04-26	Ersetzen View "gemeinde_gemarkung" durch Tabelle "pp_gemarkung"
 					ZurÃŒck-Link, Titel der Transaktion anzeigen
+	2013-04-29	Test mit IE
 */
 $cntget = extract($_GET);
@@ -40,6 +41,6 @@
 </head>
 <body>
-<a title="zur&uuml;ck" href='javascript:history.back()'>
-	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" />
+<a href='javascript:history.back()'>
+	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck" />
 </a>
 <dfn class='title' id='transaktiontitle'></dfn>
Index: trunk/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_eig.php	(revision 279)
+++ trunk/mapbender/http/nav/alkisnav_eig.php	(revision 280)
@@ -14,4 +14,5 @@
 					Dazu Var-Namen harmonisieren: $gb wird $blattgml.
 					ZurÃŒck-Link, Titel der Transaktion anzeigen.
+	2013-04-29	Test mit IE
 */
 $cntget = extract($_GET);
@@ -41,6 +42,6 @@
 </head>
 <body>
-<a title="zur&uuml;ck" href='javascript:history.back()'>
-	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" />
+<a href='javascript:history.back()'>
+	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck" />
 </a>
 <dfn class='title' id='transaktiontitle'></dfn>
Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 279)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 280)
@@ -9,4 +9,5 @@
 	2013-04-26	"import_request_variables" entfÃ€llt in PHP 5.4.
 					ZurÃŒck-Link, Titel der Transaktion anzeigen
+	2013-04-29	Test mit IE
 
 	ToDo:
@@ -38,6 +39,6 @@
 </head>
 <body>
-<a title="zur&uuml;ck" href='javascript:history.back()'>
-	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" />
+<a href='javascript:history.back()'>
+	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck" />
 </a>
 <dfn class='title' id='transaktiontitle'></dfn>
Index: trunk/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_grd.php	(revision 279)
+++ trunk/mapbender/http/nav/alkisnav_grd.php	(revision 280)
@@ -11,4 +11,5 @@
 					Dazu Var-Namen harmonisieren: $gblatt wird $blattgml
 					ZurÃŒck-Link, Titel der Transaktion anzeigen.
+	2013-04-29	Test mit IE
 */
 $cntget = extract($_GET);
@@ -40,6 +41,6 @@
 </head>
 <body>
-<a title="zur&uuml;ck" href='javascript:history.back()'>
-	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" />
+<a href='javascript:history.back()'>
+	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" title="zur&uuml;ck" />
 </a>
 <dfn class='title' id='transaktiontitle'></dfn>
Index: trunk/mapbender/http/nav/alkisnav.css
===================================================================
--- trunk/mapbender/http/nav/alkisnav.css	(revision 279)
+++ trunk/mapbender/http/nav/alkisnav.css	(revision 280)
@@ -1,16 +1,11 @@
 /* Style fuer ALKIS-Navigation 
 	Version
-	 2011-04-11
-	 2011-11-09 Historie, dbg
-	 2011-12-09 p.nam
-	 2012-12-13 td.hsnro
-	 2013-04-19 frames hoeher
+	 2013-04-29 Abgleich Darstellung in IE/FF
 */
 body,p,a,.textfield,.sbutton	{font-family: Verdana, Arial, Helvetica, sans-serif;}
-body		{font-size: 11px; color: #000000; margin: 0px;}
-
+body		{font-size: 11px; color: #000000; margin: 0px; border: 0px;}
 p			{font-size: 10px;}
 p.hilfe 	{font-size:  9px; text-align: right; color: gray; padding-right: 3px;} /* Programmier-Hilfsfelder */
-p.start 	{font-size:  9px; color: gray;}
+p.start 	{font-size:  9px; color: gray; padding: 2px; margin: 2px; border: 0px;}
 p.nam		{font-size: 10px; border: 1px solid navy; padding: 3px; margin: 0px; color: maroon;}
 p.err		{font-size: 11px; color: red;}	/* Fehler -> Anwender */
@@ -29,5 +24,4 @@
 div			{margin: 0px; padding: 0px;}
 div.back 	{font-size: 10px; color: gray; border-bottom: 1px dotted gray;}
-/* div.nam	{color: maroon;}   Name */
 div.ga		{color: fuchsia;	margin-left:  0px; margin-top: 6px;} /* GB-Amtsgericht */
 div.gm		{color: green;		margin-left:  0px; margin-top: 6px;} /* Gemeinde */
@@ -39,20 +33,16 @@
 div.hi		{color: gray;		margin-left: 20px; margin-top: 0px;} /* Historie */
 div.hn		{color: gray;		margin-left: 25px; margin-top: 0px;} /* Historie-Nachfolger */
-
 div.stu		{color: maroon; font-size: 13px;} /* Strasse - Ueberschrift */
 div.stl		{color: maroon; font-size: 11px; margin-top: 3px;} /* Strasse - Liste */
 td.hsnr		{font-size: 11px; text-align: center; padding-left: 4px; padding-right: 4px;} /* Hausnummer */
-hr				{color: gray;}
-
+hr				{color: silver; background-color: silver; height: 2px; border: 0px; width: 98%;}
 dfn.title	{color: maroon; font-size: 10px; text-align: right; padding-left: 8px; padding-right: 4px;}
-
 .textfield	{border: 1px solid #990000; height: 20px; width: 140px; background: #FFFFFF;}
-.sbutton{font-size: 11px; font-weight: normal; border: solid thin;
-	width: 22px; height: 20px;	background: #6699FF;}
-img.nwlink	{border: 0px; margin: 0px; padding: 0px;} /* Icons mit Link zum Buch-Nachweis */
+.sbutton		{font-size: 11px; font-weight: normal; border: solid 1px #000000; width: 22px; height: 20px; background: #6699FF;}
+img			{border: 0px;} /* Icons */
+img.nwlink	{border: 0px; margin: 0px; padding: 0px;} /* ..mit Link zum Buch-Nachweis */
 .letter		{cursor: pointer; font-weight: bold;} /* Liste Anfangsbuchstaben */
 
-/* Registertabs */
-/* ul in einem <div id='tabs' */
+/* Registertabs: ul in einem div id='tabs' */
 div#tabs ul {position: absolute; top: 0px;
 	margin-top: 0px; margin-left: 0px; margin-bottom: 20px;
@@ -76,10 +66,8 @@
 div#tabs li.aktiveTab {
 	background-image: url(./img/tab_bg_rot.gif);  /* aktive Tabs rot */
-	background-color: #F9F9F9;	border-bottom-color: #F9F9F9; /* nicht sichtbar, wie Hintergrund */
-}
+	background-color: #F9F9F9;	border-bottom-color: #F9F9F9;} /* nicht sichtbar, wie Hintergrund */
 
 /* Anpassen an width des Tab in Mapbender */
 /* in alkisnav.htm */
-/* ALT: OuterFrame: height: 350px; ResultFrame: height: 240px; */
 iframe.OuterFrame{width: 225px; height:400px; padding: 0px; margin: 0px;
 	border: 0px dotted #ff0000; overflow: hidden; background-color: white;}